GET https://api.ap1.datadoghq.com/api/v1/usage/synthetics_browser https://api.ap2.datadoghq.com/api/v1/usage/synthetics_browser https://api.datadoghq.eu/api/v1/usage/synthetics_browser https://api.ddog-gov.com/api/v1/usage/synthetics_browser https://api.us2.ddog-gov.com/api/v1/usage/synthetics_browser https://api.datadoghq.com/api/v1/usage/synthetics_browser https://api.us3.datadoghq.com/api/v1/usage/synthetics_browser https://api.us5.datadoghq.com/api/v1/usage/synthetics_browser
Overview Get hourly usage for synthetics browser checks.
Note: This endpoint has been deprecated. Hourly usage data for all products is now available in the Get hourly usage by product family API . Refer to Migrating from the V1 Hourly Usage APIs to V2 for the associated migration guide.
This endpoint requires the usage_read permission.
OAuth apps require the usage_read authorization scope to access this endpoint.
Arguments Query Strings Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending before this hour.
Response OK
Response containing the number of Synthetics Browser tests run for each hour for a given organization.
Expand All
Get hourly usage for Synthetics Browser tests.
browser_check_calls_count
Contains the number of Synthetics Browser tests run.
The organization public ID.
{
"usage" : [
{
"browser_check_calls_count" : "integer" ,
"hour" : "2019-09-19T10:00:00.000Z" ,
"org_name" : "string" ,
"public_id" : "string"
}
]
} Bad Request
Error response object.
Expand All
Array of errors returned by the API.
{
"errors" : [
"Bad Request"
]
} Forbidden - User is not authorized
Error response object.
Expand All
Array of errors returned by the API.
{
"errors" : [
"Bad Request"
]
} Too many requests
Error response object.
Expand All
Array of errors returned by the API.
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Required query arguments export start_hr = "CHANGE_ME" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v1/usage/synthetics_browser ? start_hr = ${start_hr} " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
Get hourly usage for synthetics browser checks returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v1.api.usage_metering_api import UsageMeteringApi
from datetime import datetime
from dateutil.tz import tzutc
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = UsageMeteringApi ( api_client )
response = api_instance . get_usage_synthetics_browser (
start_hr = datetime ( 2021 , 11 , 11 , 11 , 11 , 11 , 111000 , tzinfo = tzutc ()),
)
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" python3 "example.py"
# Get hourly usage for synthetics browser checks returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V1 :: UsageMeteringAPI . new
p api_instance . get_usage_synthetics_browser ( "2021-11-11T11:11:11.111+00:00" )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
require 'rubygems'
require 'dogapi'
api_key = '<DATADOG_API_KEY>'
app_key = '<DATADOG_APPLICATION_KEY>'
dog = Dogapi :: Client . new ( api_key , app_key )
start_date = '2019-10-07T00'
end_date = '2019-10-07T02'
dog . get_synthetics_browser_usage ( start_date , end_date )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
// Get hourly usage for synthetics browser checks returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"time"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV1"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV1 . NewUsageMeteringApi ( apiClient )
resp , r , err := api . GetUsageSyntheticsBrowser ( ctx , time . Date ( 2021 , 11 , 11 , 11 , 11 , 11 , 111000 , time . UTC ), * datadogV1 . NewGetUsageSyntheticsBrowserOptionalParameters ())
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `UsageMeteringApi.GetUsageSyntheticsBrowser`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `UsageMeteringApi.GetUsageSyntheticsBrowser`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" go run "main.go"
// Get hourly usage for synthetics browser checks returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v1.api.UsageMeteringApi ;
import com.datadog.api.client.v1.model.UsageSyntheticsBrowserResponse ;
import java.time.OffsetDateTime ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
UsageMeteringApi apiInstance = new UsageMeteringApi ( defaultClient );
try {
UsageSyntheticsBrowserResponse result =
apiInstance . getUsageSyntheticsBrowser (
OffsetDateTime . parse ( "2021-11-11T11:11:11.111+00:00" ));
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling UsageMeteringApi#getUsageSyntheticsBrowser" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" java "Example.java"
// Get hourly usage for synthetics browser checks returns "OK" response
use chrono ::{ DateTime , Utc };
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV1 ::api_usage_metering ::GetUsageSyntheticsBrowserOptionalParams ;
use datadog_api_client ::datadogV1 ::api_usage_metering ::UsageMeteringAPI ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = UsageMeteringAPI ::with_config ( configuration );
let resp = api
. get_usage_synthetics_browser (
DateTime ::parse_from_rfc3339 ( "2021-11-11T11:11:11.111000+00:00" )
. expect ( "Failed to parse datetime" )
. with_timezone ( & Utc ),
GetUsageSyntheticsBrowserOptionalParams ::default (),
)
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* Get hourly usage for synthetics browser checks returns "OK" response
*/
import { client , v1 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v1 . UsageMeteringApi ( configuration );
const params : v1.UsageMeteringApiGetUsageSyntheticsBrowserRequest = {
startHr : new Date ( 2021 , 11 , 11 , 11 , 11 , 11 , 111000 ),
};
apiInstance
. getUsageSyntheticsBrowser ( params )
. then (( data : v1.UsageSyntheticsBrowserResponse ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" tsc "example.ts"